> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mindfort.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Finding Status

> Update a finding to ACTIVE, RESOLVED, or ARCHIVED to track remediation progress across your organization.



## OpenAPI

````yaml /openapi.json post /v1/findings/{finding_id}/status
openapi: 3.1.0
info:
  title: MindFort API
  version: 1.0.0
  description: >-
    The MindFort Public API supports targets, Discovery, assessments, finding
    lifecycle and analytics, and reports. Informational probe results are
    labeled `secured`.
servers:
  - url: https://api.mindfort.app
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/findings/{finding_id}/status:
    post:
      tags:
        - Findings
      summary: Update Finding Status
      description: >-
        Update a finding to ACTIVE, RESOLVED, or ARCHIVED to track remediation
        progress across your organization.
      operationId: updateFindingStatus
      parameters:
        - name: finding_id
          in: path
          required: true
          description: UUID of the finding
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateFindingStatusRequest'
      responses:
        '200':
          description: Finding status updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicSingleFindingStatusResult'
        '400':
          description: Invalid finding_id, request body, or status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized – missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Finding not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    UpdateFindingStatusRequest:
      type: object
      required:
        - status
      properties:
        status:
          type: string
          enum:
            - ACTIVE
            - RESOLVED
            - ARCHIVED
          description: New finding status
        resolve_reason:
          type:
            - string
            - 'null'
          enum:
            - FIX
            - WONT_FIX
            - FALSE_POSITIVE
            - null
          description: >-
            Resolution reason. FALSE_POSITIVE is only valid when status is
            ARCHIVED and requires resolve_context.
        resolve_context:
          type:
            - string
            - 'null'
          maxLength: 2000
          description: >-
            Optional resolution context. Required when archiving a
            FALSE_POSITIVE.
      allOf:
        - if:
            required:
              - resolve_reason
            properties:
              resolve_reason:
                const: FALSE_POSITIVE
          then:
            required:
              - resolve_context
            properties:
              status:
                const: ARCHIVED
              resolve_context:
                type: string
                minLength: 1
        - if:
            anyOf:
              - required:
                  - resolve_reason
                properties:
                  resolve_reason:
                    enum:
                      - FIX
                      - WONT_FIX
              - required:
                  - resolve_context
                properties:
                  resolve_context:
                    type: string
                not:
                  required:
                    - resolve_reason
                  properties:
                    resolve_reason:
                      const: FALSE_POSITIVE
          then:
            properties:
              status:
                const: RESOLVED
      additionalProperties: false
    PublicSingleFindingStatusResult:
      properties:
        finding_id:
          type: string
          format: uuid
          title: Finding Id
        status:
          type: string
          enum:
            - ACTIVE
            - RESOLVED
            - ARCHIVED
          title: Status
        updated:
          type: boolean
          title: Updated
      type: object
      required:
        - finding_id
        - status
        - updated
      title: PublicSingleFindingStatusResult
      additionalProperties: false
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Human-readable error message
        code:
          type: string
          description: Stable machine-readable error code when one is available
        request_id:
          type: string
          description: Unique request identifier for debugging
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key generated from the MindFort dashboard. Pass as `Authorization:
        Bearer <your-api-key>`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.